      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCNOV                                     **
      **                                                              **
      **  DESCRIPTION:    Connect Options Structure                   **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1997, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCNO,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQCNO structure
        10 MQCNO.
      **    Structure identifier
         15 MQCNO-STRUCID          PIC X(4) VALUE 'CNO '.
      **    Structure version number
         15 MQCNO-VERSION          PIC S9(9) BINARY VALUE 1.
      **    Options that control the action of MQCONNX
         15 MQCNO-OPTIONS          PIC S9(9) BINARY VALUE 0.
      **    Offset of MQCD structure for client connection
         15 MQCNO-CLIENTCONNOFFSET PIC S9(9) BINARY VALUE 0.
      **    Address of MQCD structure for client connection
         15 MQCNO-CLIENTCONNPTR    POINTER VALUE NULL.
      **    Queue-manager connection tag
         15 MQCNO-CONNTAG          PIC X(128) VALUE LOW-VALUES.
      **    Address of MQSCO structure for client connection
         15 MQCNO-SSLCONFIGPTR     POINTER VALUE NULL.
      **    Offset of MQSCO structure for client connection
         15 MQCNO-SSLCONFIGOFFSET  PIC S9(9) BINARY VALUE 0.
 
      ******************************************************************
      **  End of CMQCNOV                                              **
      ******************************************************************
