      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQDHV                                      **
      **                                                              **
      **  DESCRIPTION:    Distribution Header Structure               **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1997, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQDH,      **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQDH structure
        10 MQDH.
      **    Structure identifier
         15 MQDH-STRUCID         PIC X(4) VALUE 'DH  '.
      **    Structure version number
         15 MQDH-VERSION         PIC S9(9) BINARY VALUE 1.
      **    Length of MQDH structure plus following MQOR and MQPMR
      **    records
         15 MQDH-STRUCLENGTH     PIC S9(9) BINARY VALUE 0.
      **    Numeric encoding of data that follows the MQOR and MQPMR
      **    records
         15 MQDH-ENCODING        PIC S9(9) BINARY VALUE 0.
      **    Character set identifier of data that follows the MQOR and
      **    MQPMR records
         15 MQDH-CODEDCHARSETID  PIC S9(9) BINARY VALUE 0.
      **    Format name of data that follows the MQOR and MQPMR records
         15 MQDH-FORMAT          PIC X(8) VALUE SPACES.
      **    General flags
         15 MQDH-FLAGS           PIC S9(9) BINARY VALUE 0.
      **    Flags indicating which MQPMR fields are present
         15 MQDH-PUTMSGRECFIELDS PIC S9(9) BINARY VALUE 0.
      **    Number of MQOR records present
         15 MQDH-RECSPRESENT     PIC S9(9) BINARY VALUE 0.
      **    Offset of first MQOR record from start of MQDH
         15 MQDH-OBJECTRECOFFSET PIC S9(9) BINARY VALUE 0.
      **    Offset of first MQPMR record from start of MQDH
         15 MQDH-PUTMSGRECOFFSET PIC S9(9) BINARY VALUE 0.
 
      ******************************************************************
      **  End of CMQDHV                                               **
      ******************************************************************
